      SUBROUTINE HEXDEC ( H, I )
C*
C*                  *******************************
C*                  *******************************
C*                  **                           **
C*                  **          HEXDEC           **
C*                  **                           **
C*                  *******************************
C*                  *******************************
C*
C*     SUBPROGRAM :
C*          HEXADECIMAL TO DECIMAL
C*
C*     AUTHOR :
C*          ART RAGOSTA
C*          MS 207-5
C*          AMES RESEARCH CENTER
C*          MOFFETT FIELD, CALIF    94035
C*          (415) 694-5578
C*
C*     PURPOSE :
C*          TO CONVERT A HEXADECIMAL STRING INTO THE DECIMAL INTEGER
C*          EQUIVALENT TO THE HEXADECIMAL NUMBER.
C*
C*     INPUT ARGUMENTS :
C*          H - THE HEXADECIMAL STRING
C*
C*     OUTPUT ARGUMENTS :
C*          I - THE INTEGER NUMBER
C*
C*     INTERNAL WORK AREAS :
C*          NONE
C*
C*     COMMON BLOCKS :
C*          NONE
C*
C*     FILE REFERENCES :
C*          NONE
C*
C*     SUBPROGRAM REFERENCES :
C*          NONE
C*
C*     ERROR PROCESSING :
C*          NONE
C*
C*     TRANSPORTABILITY LIMITATIONS :
C*          USES THE NON-STANDARD 'Z' FORMAT DESCRIPTOR.
C*
C*     ASSUMPTIONS AND RESTRICTIONS :
C*          NONE
C*
C*     LANGUAGE AND COMPILER :
C*          ANSI FORTRAN 77
C*
C*     VERSION AND DATE :
C*          VERSION I.0     22-FEB-85
C*
C*     CHANGE HISTORY :
C*          22-FEB-85    INITIAL VERSION
C*
C***********************************************************************
C*
      CHARACTER *8 H
C
      READ(H,900)I
      RETURN
900   FORMAT(Z8)
      END
C
C---END HEXDEC
C
